Subject: bug#12582: 24.1.50; customize settings not persisting across sessions + CHANGED outside Customize flag issue

From: Glenn Morris <[email-masked]>
Date: Fri, 05 Oct 2012 18:16:13 -0400

Hilary J Holz wrote:

> I would have done that if the problem had been local to the package.
> However, there remains the issue with CHANGED outside Customize.

The problem is local to the package if it only occurs with variables
from that package. Can you demonstrate this problem with any standard
Emacs custom option?

It's trivial to make such a bug occur. Eg:

(defvar shell-switcher-new-shell-function 57)

(defcustom shell-switcher-new-shell-function 'shell-switcher-make-eshell
  "..."
  :group 'shell-switcher)

Evaluating that will give a "CHANGED outside Customize." message.

OK, that's an artificial example, but similar things can easily happen
for example with packages split into multiple source files that
accidentally define variables more than once. It's a bug in the package,
not in Custom.